No se puede instalar python pip en Ubuntu 14.04

Este es el comando que utilicé para instalar python-pip

sudo apt-get install python-pip 

Obtuve el siguiente error

 Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: python-pip : Depends: python-setuptools (>= 0.6c1) but it is not going to be installed Recommends: python-dev-all (>= 2.6) but it is not installable E: Unable to correct problems, you have held broken packages. 

Ya instalé la última versión de python-dev

Cuando bash instalar python-setuptools usando sudo apt-get install python-setuptools obtengo el siguiente error

 Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: python-setuptools : Depends: python-pkg-resources (= 3.3-1ubuntu1) but 3.3-1ubuntu2 is to be installed E: Unable to correct problems, you have held broken packages. 

Explíqueme cómo resolver el error y guíeme los pasos para instalar python-pip .

obtuve el mismo error cuando instalo python-pip, el siguiente comando resolvió mi problema.

 sudo apt-get install python-pkg-resources=3.3-1ubuntu1 sudo apt-get install python-setuptools 

descargue pip de https://bootstrap.pypa.io/get-pip.py

Luego ejecute lo siguiente (que puede requerir acceso de administrador):

 python get-pip.py 

Esto debería ponerte en marcha. Si te quedas atascado de nuevo, lee aquí: http://pip.readthedocs.org/en/stable/installing/

Además de la solución recomendada por @seems, tuve que ejecutar esto.

 apt-get update 

(O)

 sudo apt-get install python-setuptools python-dev build-essential sudo easy_install pip 

Tengo el mismo problema, y ​​finalmente me rendí usando:

 sudo apt-get install python-pip 

después de los bashs algo como:

 sudo apt-get install python-setuptools python-dev build-essential 

pero sin suerte. Así que todo lo que hice entonces fue:

 curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py python get-pip.py 

tranquilidad de espíritu…..

Creo que deberías intentar:

 sudo apt-get install python-pkg-resources=3.3-1ubuntu1 

Y entonces:

 sudo apt-get install python-pip python-dev build-essential 

Definitivamente resolverá su problema.

Jut ejecuta este comando:

 sudo apt-get update 

que instalar herramientas de python:

  sudo apt-get install python-pip sudo apt-get install python-dev sudo apt-get install build-essential 

Todos los paquetes se instalarán o algunos de ellos pueden decir que su versión más reciente ya está bien.